HyperTrackDocs
Geotags

Get Geotags

Retrieves Geotags associated with orders. This API provides the ability to filter for Geotags based on a set of query parameters.

GET
/geotags/

Retrieves Geotags associated with orders. This API provides the ability to filter for Geotags based on a set of query parameters.

Authorization

AuthorizationBasic <token>

In: header

Query Parameters

order_handle?|

String represent order identifier to fetch geotags associated with the identifier

worker_handle?|

String representing the handle for the worker

driver_handle?|
Deprecated

String representing the handle for the driver

ops_group_handles?|

List of ops group handles as strings used for fetching associated Geotags

search_term?|

String representing the search term. Search will be done on order_handle, ops_group_handle, worker_handle and metadata fields.

device_id?|

String representing the ID of the device

device_name?|

Name of the worker provided during registration

driver_profile_filter?|

JSON encoded string metadata associated with the worker who generated the geotag

metadata_filter?|

JSON encoded string metadata associated with the geotag

system_generated_order_handle?|

Boolean to filter out orders where order handle was automatically generated by HT system

include_system_generated_order_handle?|

Flag to include orders where order handle was automatically generated by HT system.

region?|

JSON encoded string for region

pagination_token?|

Identifier used to fetch the next page of data

from_time?|

ISO 8601 datetime indicating the start time

to_time?|

ISO 8601 datetime indicating the end time

from_date?|

Start date (YYYY-MM-DD) of the time window used as a filter to retrieve geotags scheduled on a specific date, regardless of the timezone.

to_date?|

End date (YYYY-MM-DD) of the time window used as a filter to retrieve geotags scheduled on a specific date, regardless of the timezone.

from_geotag_type?|

String representing type of geotag which corresponds to start of time segment within the order fulfilled through geotags

to_geotag_type?|

String representing type of geotag which corresponds to end of time segment within the order fulfilled through geotags

include_geotags_with_orders?|

Flag to filter geotags which are part of order.

aggregate?boolean

Flag set to retrieve aggregated data over the provided time range

limit?|

Number of Orders to be sent in response

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/geotags/"

{  "orders": [    {      "order_handle": "order-1",      "ops_group_handle": "store-san-jose",      "system_generated_order_handle": false,      "device_id": "00112233-4455-6677-8899-AABBCCDDEEFF",      "worker_handle": "james_smith",      "driver_name": "James Smith",      "last_geotag_recorded_at": "2023-04-19T14:00:58Z",      "distance": 6529,      "duration": 10830,      "tracking_rate": 0.64,      "geotags": [        {          "geotag_id": "befe814d-79e5-44d5-ac03-c4e47e0931c9",          "order_handle": "order-1",          "geotag_type": "PICKUP",          "ops_group_handle": "store-san-jose",          "system_generated_order_handle": false,          "recorded_at": "2023-04-19T14:00:58Z",          "device_id": "00112233-4455-6677-8899-AABBCCDDEEFF",          "worker_handle": "james_smith",          "driver_name": "James Smith",          "distance": 1729,          "duration": 8230,          "tracking_rate": 0.84,          "metadata": {            "regionId": 12234,            "zoneId": 3          },          "location": {            "geometry": {              "type": "Point",              "coordinates": [                -122.4285939,                37.7598248              ]            },            "address": "Dolores St &, 19th St, San Francisco, CA 94114"          },          "expected_location": {            "geometry": {              "type": "Point",              "coordinates": [                -122.4297458,                37.7617545              ]            },            "address": "3750 18th St, San Francisco, CA 94114"          },          "summary": {            "distance": 2300,            "duration": 1200,            "tracking_rate": 86.5,            "deviation": 500          },          "start_location": {            "geometry": {              "type": "Point",              "coordinates": [                -122.4526714,                37.7652444              ]            },            "address": "941 Cole St, San Francisco, CA 94117"          },          "region": {            "city": "San Francisco",            "state": "California",            "country": "United States of America"          }        },        {          "geotag_id": "f92s813d-5f33-8ks2-9j32-c8f44d59432b1",          "order_handle": "order-1",          "geotag_type": "ARRIVED",          "ops_group_handle": "store-san-jose",          "system_generated_order_handle": false,          "recorded_at": "2023-04-19T14:30:58Z",          "device_id": "00112233-4455-6677-8899-AABBCCDDEEFF",          "worker_handle": "james_smith",          "driver_name": "James Smith",          "distance": 1800,          "duration": 2000,          "tracking_rate": 0.89,          "metadata": {            "regionId": 12234,            "zoneId": 3          },          "location": {            "geometry": {              "type": "Point",              "coordinates": [                -122.419329,                37.752945              ]            },            "address": "2756 Mission St, San Francisco, CA 94110"          },          "expected_location": {            "geometry": {              "type": "Point",              "coordinates": [                -122.4214724,                37.7530874              ]            },            "address": "2740 Mission St, San Francisco, CA 94110"          },          "summary": {            "distance": 100,            "duration": 600,            "tracking_rate": 99.5,            "deviation": 100          },          "start_location": {            "geometry": {              "type": "Point",              "coordinates": [                -122.4526714,                37.7652444              ]            },            "address": "941 Cole St, San Francisco, CA 94117"          },          "region": {            "city": "San Francisco",            "state": "California",            "country": "United States of America"          }        },        {          "geotag_id": "ctfe813d-87v3-46d3-fd90-c8f44d59432b3",          "order_handle": "order-1",          "geotag_type": "COMPLETED",          "ops_group_handle": "store-san-jose",          "system_generated_order_handle": false,          "recorded_at": "2023-04-19T14:30:58Z",          "device_id": "00112233-4455-6677-8899-AABBCCDDEEFF",          "worker_handle": "james_smith",          "driver_name": "James Smith",          "distance": 1800,          "duration": 2000,          "tracking_rate": 0.91,          "metadata": {            "regionId": 12234,            "zoneId": 3          },          "location": {            "geometry": {              "type": "Point",              "coordinates": [                -122.4214724,                37.7530874              ]            },            "address": "2740 Mission St, San Francisco, CA 94110"          },          "expected_location": {            "geometry": {              "type": "Point",              "coordinates": [                -122.4214724,                37.7530874              ]            },            "address": "2740 Mission St, San Francisco, CA 94110"          },          "summary": {            "distance": 2300,            "duration": 1200,            "tracking_rate": 86.5,            "deviation": 0          },          "start_location": {            "geometry": {              "type": "Point",              "coordinates": [                -122.4526714,                37.7652444              ]            },            "address": "941 Cole St, San Francisco, CA 94117"          },          "region": {            "city": "San Francisco",            "state": "California",            "country": "United States of America"          }        }      ]    }  ],  "pagination_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWQiOiIxMDAiLCJwYWdpdGFudElkIjoiMTAwMDEiLCJhbWF6b25JZCI6IjEwMDAxIn0.9SEKO_8dk00Up2khdGkkgDl6OQg1uYUsbRMaj7TWl-4"}

{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}